\NeedsTeXFormat{LaTeX2e}[1995/12/01]%
\ProvidesClass{MetroSea2020}[2013/06/03 v1.0 LaTeX class for IMEKO TC4 2014 papers]

\LoadClass[twocolumn,10pt,a4paper,notitlepage]{extarticle}

\RequirePackage{times} 
\RequirePackage{fancyhdr} 
\RequirePackage[a4paper,portrait]{geometry}
\RequirePackage{authblk}

\geometry{lmargin=20mm,rmargin=20mm,tmargin=30mm,bmargin=25mm,columnsep=6mm}
\setlength{\textwidth}{170mm}
\setlength{\textheight}{232mm}
\setlength{\parskip}{2pt}
\setlength{\headsep}{15mm}

\renewcommand{\normalsize}{\fontsize{10pt}{12pt}\selectfont}

\renewcommand\Authands{, }
\renewcommand\Affilfont{\itshape}

\renewcommand{\@maketitle}{%
\begin{center}
{\fontsize{24}{29} \mdseries \@title}
%  \vskip 1em
    {
%      \lineskip .5ex%
      \fontsize{12}{14}
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}}%
\end{center}
}

\fancypagestyle{imekopage}{
\fancyhf{}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}
\fancyhead[L]{
\fontsize{8}{10}\selectfont2020 IMEKO TC-19 International Workshop on\\
Metrology for the Sea\\
Naples, Italy, October 5-7, 2020
}
}
%\pagestyle{firstpage}
%\AtBeginDocument{\thispagestyle{firstpage}}

\renewcommand{\abstract}{
	\noindent\normalfont \bfseries \textit{\abstractname} --
}

\renewcommand{\section}{
   \@startsection
   {section}{1}{\z@}{\baselineskip}{0.01ex}%
   {\centering\normalfont\normalsize\MakeUppercase}
}%
\renewcommand{\thesection}{\roman{section}.}

\renewcommand{\subsection}{\@startsection
   {subsection}{2}{\z@}{\baselineskip}{0.01ex}%
   {\normalfont \normalsize \itshape}}%
\renewcommand{\thesubsection}{\Alph{subsection}.}

\let\OLDthebibliography\thebibliography
\renewcommand\thebibliography[1]{
  \OLDthebibliography{#1}
  \setlength{\parskip}{0pt}
  \setlength{\itemsep}{0pt plus 0.3ex}
}